package edu.kit.ipd.descartes.adaptation.model;

import static org.junit.Assert.*;

import org.junit.Before;
import org.junit.Test;

import edu.kit.ipd.descartes.adaptation.AbstractTest;
import edu.kit.ipd.descartes.adaptation.AdaptationControl;
import edu.kit.ipd.descartes.mm.resourcelandscape.DistributedDataCenter;

public class DmmModelManagerTest extends AbstractTest {

    @Before
    public void setUp() throws Exception {
        super.setUp();
        AdaptationControl control = new AdaptationControl();
        control.init();
    }

    @Test
    public void testGetDistributedDataCenter() {
        DistributedDataCenter ddc = DmmModelManager.getDistributedDataCenter();
        assertTrue(!ddc.equals(null));
        assertTrue(ddc.getConsistsOf().size() > 0);
    }

}
